Page MenuHomePhabricator

AMDGPU: Refactor copyPhysReg
ClosedPublic

Authored by arsenm on Oct 24 2016, 5:55 AM.

Details

Reviewers
tstellarAMD
Summary

Separate the subregister splitting logic to re-use later.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 75570.Oct 24 2016, 5:55 AM
arsenm retitled this revision from to AMDGPU: Refactor copyPhysReg.
arsenm updated this object.
arsenm added a subscriber: llvm-commits.

This looks like the wrong patch.

arsenm updated this revision to Diff 76124.Oct 27 2016, 4:16 PM
arsenm edited edge metadata.

Attach right patch

lib/Target/AMDGPU/SIInstrInfo.cpp
409

We are supposed to use AMDGPU::getRegBitWidth() now.

arsenm updated this revision to Diff 76259.Oct 28 2016, 3:22 PM

Use getRegBitWidth

tstellarAMD accepted this revision.Nov 7 2016, 8:07 AM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Nov 7 2016, 8:07 AM
arsenm closed this revision.Nov 7 2016, 8:51 AM

r286118